<?php
/**
 * Classe MyOwnList
 *
 * @version 1.0
 * @date	12/01/2013
 * @author	Cyril MAGUIRE
 **/
 
	if(!defined('PLX_ROOT')) exit; 
	
	# Control du token du formulaire
	plxToken::validateFormToken($_POST);
	
	if(!empty($_POST)) {
		$plxPlugin->setParam('typeDeListe', $_POST['typeDeListe'], 'numeric');
		$plxPlugin->saveParams();
		header('Location: parametres_plugin.php?p=MyOwnList');
		exit;
	}
?>

<h2><?php $plxPlugin->lang('L_TITLE') ?></h2>
<p><?php $plxPlugin->lang('L_CONFIG_DESCRIPTION') ?></p>

<form action="parametres_plugin.php?p=MyOwnList" method="post">
	<fieldset class="withlabel">
		<p><?php echo $plxPlugin->getLang('L_CONFIG_TYPE_OF_LIST') ?></p>
		<?php plxUtils::printSelect('typeDeListe', array(1=>'Sous catégories', 2=>'Articles'),$plxPlugin->getParam('typeDeListe')); ?>

	</fieldset>
	<br />
	<?php echo plxToken::getTokenPostMethod() ?>
	<input type="submit" name="submit" value="<?php echo $plxPlugin->getLang('L_CONFIG_SAVE') ?>" />
</form>
